#!/bin/sh

EPOCH_SYS="$(date +%s)"
EPOCH_HW="$(date -d "$(hwclock -r)" +%s)"
EPOCH_DIFF=$(($EPOCH_SYS - $EPOCH_HW))

echo -e "EPOCH_SYS: $EPOCH_SYS"
echo -e "EPOCH_HW: $EPOCH_HW"
echo -e "EPOCH_DIFF: $EPOCH_DIFF"

echo -e "Saving diffiference between System Date and HWClock in epoch. (/etc/epoch.txt)"
echo -e $EPOCH_DIFF > /etc/epoch.txt
